Subject: bug#64270: 30.0.50; Font update for no toolkit menu

From: Po Lu <[email-masked]>
Date: Tue, 27 Jun 2023 16:55:39 +0800

Robert Pluim <[email-masked]> writes:

>>>>>> On Tue, 27 Jun 2023 10:37:30 +0200, Robert Pluim <[email-masked]> said:
>
>>>>>> On Tue, 27 Jun 2023 15:48:29 +0800, Po Lu via "Bug reports for GNU Emacs, the Swiss army knife of text editors" <[email-masked]> said:
>     >>> Ah then I have a bug in Emacs' XLFD generation on my system.  Here is
>     >>> what I get with 'C-u C-x =':
>     >>> 
>     >>> ftcrhb:-Misc-Fixed-regular-normal-normal-*-18-*-*-*-c-90-iso10646-1 (#x59)
>
>     Robert>     Po Lu> ``XLFD'' strings generated by Emacs aren't guaranteed to be
>     Robert>     Po Lu> X11-compatible; Emacs is only designed to read them.  I don't remember
>     Robert>     Po Lu> whether or not this is intentional, so you will have to ask Kenichi
>     Robert>     Po Lu> Handa, but I have a sinking suspicion that he is not around anymore...
>
>     Robert> For at least 15 years prior to Larsʼ changes to support 'medium'
>     Robert> fonts, that would have returned
>
>     Robert> ftcrhb:-Misc-Fixed-medium-normal-normal-*-18-*-*-*-c-90-iso10646-1 (#x59)
>
> I mean:
>
> ftcrhb:-Misc-Fixed-normal-normal-normal-*-18-*-*-*-c-90-iso10646-1 (#x59)
>
> Robert

Right, but the problem is different: X doesn't support medium at all,
but calls Emacs's `normal' `medium'.  Here are all the valid values for
an XLFD:

0	Undefined
10	UltraLight
20	ExtraLight	 
30	Light	 
40	SemiLight
50	Medium
60	SemiBold
70	Bold	 
80	ExtraBold
90	UltraBold